import { CsvAddColumnFunction, WriteFileFunction } from '../../functions/index.js';
import { prompts } from './prompts.js';
import { Agent, AgentConfig } from '../utils/index.js';
export class CsvAnalystAgent extends Agent {
    constructor(context) {
        super(new AgentConfig(() => prompts, [new CsvAddColumnFunction(), new WriteFileFunction()]), context);
    }
    async onFirstRun(args, chat) {
        await this.executeFunction(this.understand, args, chat);
    }
}
